Bug 232399 - Review Request: gscan2pdf - A GUI for producing a multipage PDF from a scan
Review Request: gscan2pdf - A GUI for producing a multipage PDF from a scan
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Package Reviews List
:
Depends On: 232966
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-15 04:16 EDT by Bernard Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-21 16:33:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bernard Johnson 2007-03-15 04:16:48 EDT
Spec URL: http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/gscan2pdf.spec
SRPM URL: http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/gscan2pdf-0.9.5-1.fc6.src.rpm
Description: 
A GUI to ease the process of producing a multipage PDF from a scan.
Comment 1 Bernard Johnson 2007-03-15 18:31:40 EDT
Spec URL: http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/gscan2pdf.spec
SRPM URL:
http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/gscan2pdf-0.9.5-2.fc6.src.rpm

* Thu Mar 15 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9.5-2
- add scriptlets to update icon cache
Comment 2 manuel wolfshant 2007-03-17 18:00:54 EDT
GOOD

- no output from rpmlint, either on source rpm or on generated binary rpm
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream, is latest release, sha1sum
04435a98844ad7ffba30cd1fe5767340617635bd  gscan2pdf-0.9.5.tar.gz
- package compiles on devel (x86_64 and x86)
- no missing BR [1]
- no unnecessary BR
- locales handled properly (uses find_lang)
- not relocatable
- owns all files/directories that it creates, does not take ownership of foreign
files/directories
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime 
- program is a GUI, it does provide a .desktop, but it is not properly installed
- no .la/static/.pc files files 

{1] there is a warning in the build log about a missing Gtk2-1.0.8, but it
appears even if I have added gtk2-devel (which is version 2.10.11)as a BR, so I
guess the warning might be bogus

SHOULD
- package compiles/builds OK in mock/devel/x86 and x86_64

MUSTFIX: .desktop is not properly installed; you could use
http://fedoraproject.org/wiki/Packaging/Guidelines#head-d559ee7363418a5840ce63090c608c991cd39ce6
as a guide for the required scriptlets

My only FC6 machine is currently down, I will test Monday if the program runs OK
and finalize the review.
Comment 3 Bernard Johnson 2007-03-17 20:56:50 EDT
(In reply to comment #2)
> MUSTFIX: .desktop is not properly installed; you could use
>
http://fedoraproject.org/wiki/Packaging/Guidelines#head-d559ee7363418a5840ce63090c608c991cd39ce6
> as a guide for the required scriptlets

Spec URL: http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/gscan2pdf.spec
SRPM URL:
http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/gscan2pdf-0.9.5-3.fc6.src.rpm

* Sat Mar 17 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9.5-3
- add desktop file the fedora way
Comment 4 manuel wolfshant 2007-03-19 02:56:37 EDT
The dekstop issue is fixed. However, when trying to use the program
- pressing the help button (Ctrl-H) gives "Help viewer requires
Gtk2::Ex:PodViewer". Maybe it should be added to Requires?
- more serious: when trying to import a tiff file, nothing happens in the GUI; n
the same time, in the console from where gscan2pdf was launched, I get these errors:
a) with one file: _TIFFVSetField: /home/wolfy/incertrans/My Documents/poza1.tif:
Bad value 1 for "ExtraSamples".
b) with another file: TIFFOpen: /home/wolfy/Press1.tif: Cannot open.
Use of uninitialized value in concatenation (.) or string at /usr/bin/gscan2pdf
line 1366.
tiff2pdf: No input file specified.
LIBTIFF, Version 3.8.2
Copyright (c) 1988-1996 Sam Leffler
Copyright (c) 1991-1996 Silicon Graphics, Inc.

usage:  tiff2pdf [options] input.tiff
-> followed by the help of tiff2pdf
Comment 5 manuel wolfshant 2007-03-19 03:08:03 EDT
"poza1.tif" seems damaged, I cannot open it in other viewers either. It would
have been nice if gscan2pdf would have reported the error, but let's stick with
the other problem (listed under b) ). That file (Press1.tif) is as valid as a
tiff could be...
Comment 6 manuel wolfshant 2007-03-19 04:11:39 EDT
OOOOK, I've managed to use it (on FC6) for scanning and saving to a pdf, so I
guess that technically the program does what it is supposed to to. Therefore the
package is APPROVED but please do NOT include it in anything else but Fedora. It
has bugs which upstream needs to fix.
Comment 7 Bernard Johnson 2007-03-19 12:27:05 EDT
(In reply to comment #5)
> "poza1.tif" seems damaged, I cannot open it in other viewers either. It would
> have been nice if gscan2pdf would have reported the error, but let's stick with
> the other problem (listed under b) ). That file (Press1.tif) is as valid as a
> tiff could be...
> 

Please attach your tiff file and let me have a look at it.

I scanned an image and saved it as a tiff with a) no compression b) deflate
compression c) jpeg compression d) lzw compression and e) packbits compression
and they all imported fine on my system.


Comment 8 Bernard Johnson 2007-03-19 12:29:03 EDT
(In reply to comment #4)
> The dekstop issue is fixed. However, when trying to use the program
> - pressing the help button (Ctrl-H) gives "Help viewer requires
> Gtk2::Ex:PodViewer". Maybe it should be added to Requires?

This is a blocker.

I completely missed this in the documentation and it appears that Fedora doesn't
include perl-Gtk2-Ex-PodViewer.  Let me try to put together a perl package for
that before we push anything into cvs.
Comment 9 manuel wolfshant 2007-03-19 12:37:09 EDT
tiff issue (comment #7): http://wdl.lug.ro/Press1.tif (it has no text on purpose !)
help/podviewer (comment #8): everything but the help button works; help is available
a) if the program is run from a shell, as suggested by the error message when
trying to access the builtin help
b) in the docs, both as html and text.
I agree that it is much nicer to have the help functional from the app itself,
but I suggest to upload the rpm as it is now and push a new release (with a
Requires: perl-etc) once perl-Gtk2-Ex-PodViewer is available. It's up to you.
Comment 10 Bernard Johnson 2007-03-19 14:32:46 EDT
(In reply to comment #9)
> tiff issue (comment #7): http://wdl.lug.ro/Press1.tif (it has no text on
purpose !)

I am able to load this file without any issues.  Is this perhaps an
internationalization problem when it concats the command string and tries to
exec the tiff2pdf program?

> help/podviewer (comment #8): everything but the help button works; help is
available
> a) if the program is run from a shell, as suggested by the error message when
> trying to access the builtin help
> b) in the docs, both as html and text.
> I agree that it is much nicer to have the help functional from the app itself,
> but I suggest to upload the rpm as it is now and push a new release (with a
> Requires: perl-etc) once perl-Gtk2-Ex-PodViewer is available. It's up to you.

I just submitted the perl package to fix this and added a Requires: for it.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=232966

Spec URL: http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/gscan2pdf.spec
SRPM URL:
http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/gscan2pdf-0.9.5-4.fc6.src.rpm

* Mon Mar 19 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9.5-4
- add Requires: for perl-Gtk2-Ex-PodViewer
Comment 11 manuel wolfshant 2007-03-20 01:12:49 EDT
WRT comment #7 and #10: I have no idea. What I have done was trying to import a
tiff (which proved to be damaged) and immediately after that, another tiff (the
one you have tested too). For the first file I have noticed (in the console) an
error message ( identical to the one given by kview, FWIW). I have included in
comment #4 the messages seen in console for the second file. I doubt it's a
internationalization issue because my systems have US settings (modulo the
timezone and date format), but if you have specific ideas for testing I'll be
glad to help. I am more inclined to think that the first error triggered
"something" (for instance a buffer which was reused later on, without cleanup)
Comment 12 Bernard Johnson 2007-03-20 01:52:09 EDT
(In reply to comment #11)
So, if I'm understanding you correctly, the file that you attached in comment #9
only causes you problems after you have attempted to import a broken file? 
Otherwise you can import that file as well?

If this is simply a bug in the program, then we can go ahead with the package,
and file a bug later against the package.
Comment 13 manuel wolfshant 2007-03-20 06:10:55 EDT
I've been able to reproduce the problem. It has nothing to do with handling a
broken file. Or better said, it does...
If the file given as argument at "import a TIFF" is a broken symlink... there is
no warning, no error, nothing in the GUI. The only error can be seen at "save as
pdf" time, in the console:

Use of uninitialized value in concatenation (.) or string at /usr/bin/gscan2pdf
line 1366.
tiff2pdf: No input file specified.
Comment 14 Bernard Johnson 2007-03-20 13:44:20 EDT
I was able to reproduce this problem, but not exactly as you specified.  Try
this version and see if it works for you.  There are were two problems I fixed:
a) inaccessible files produced no warning or errors on import
b) attempting to save 0 pages in a PDF was allowed, which produced the 2nd error
(you had zero pages because your tiff import failed).

Spec URL: http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/gscan2pdf.spec
SRPM URL:
http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/gscan2pdf-0.9.5-5.fc6.src.rpm

* Tue Mar 20 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9.5-5
- patch to fix:
  a) tiff files that can not be opened
  b) restrict saving a pdf with no pages
Comment 15 manuel wolfshant 2007-03-21 05:40:32 EDT
Bernard, the new version works like a charm. Now I really see no reasons to not
import it.
Congrats !
Comment 16 Bernard Johnson 2007-03-21 12:24:49 EDT
New Package CVS Request
=======================
Package Name: gscan2pdf
Short Description: A GUI for producing a multipage PDF from a scan
Owners: bjohnson@symetrix.com
Branches: FC-5 FC-6
InitialCC: 
Comment 17 Bernard Johnson 2007-06-22 03:43:09 EDT
Package Change Request
======================
Package Name: gscan2pdf
Updated Fedora CC: ra28145@users.sf.net
Comment 18 Kevin Fenzi 2007-06-22 15:57:46 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.